<?php

namespace Hrm\Vacancy\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class VacancyTransformer extends TransformerAbstract
{
    public function transform(\Hrm\Vacancy\Models\Vacancy $vacancy)
    {
        return [
            'id'                => $vacancy->getRouteKey(),
            'key'               => [
                'public'    => $vacancy->getPublicKey(),
                'route'     => $vacancy->getRouteKey(),
            ], 
            'id'                => $vacancy->id,
            'user_id'           => $vacancy->user_id,
            'user_type'         => $vacancy->user_type,
            'client_id'         => $vacancy->client_id,
            'unit_id'           => $vacancy->unit_id,
            'job_id'            => $vacancy->job_id,
            'reference'         => $vacancy->reference,
            'location'          => $vacancy->location,
            'details'           => $vacancy->details,
            'date'              => $vacancy->date,
            'shift_type'        => $vacancy->shift_type,
            'break_time'        => $vacancy->break_time,
            'space'             => $vacancy->space,
            'created_at'        => $vacancy->created_at,
            'updated_at'        => $vacancy->updated_at,
            'deleted_at'        => $vacancy->deleted_at,
            'url'               => [
                'public'    => trans_url('vacancy/'.$vacancy->getPublicKey()),
                'user'      => guard_url('vacancy/vacancy/'.$vacancy->getRouteKey()),
            ], 
            'status'            => trans('app.'.$vacancy->status),
            'created_at'        => format_date($vacancy->created_at),
            'updated_at'        => format_date($vacancy->updated_at),
        ];
    }
}