<?php

namespace Hrm\Vacancy;

use User;

class Vacancy
{
    /**
     * $vacancy object.
     */
    protected $vacancy;

    /**
     * Constructor.
     */
    public function __construct(\Hrm\Vacancy\Interfaces\VacancyRepositoryInterface $vacancy)
    {
        $this->vacancy = $vacancy;
    }

    /**
     * Returns count of vacancy.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.vacancy.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->vacancy->pushCriteria(new \Litepie\Hrm\Repositories\Criteria\VacancyUserCriteria());
        }

        $vacancy = $this->vacancy->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('vacancy::' . $view, compact('vacancy'))->render();
    }
}
